<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDropItem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/de8/class_action_drop_item.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionDropItem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDropItem:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/de8/class_action_drop_item.png" usemap="#ActionDropItem_map" alt=""/>
  <map id="ActionDropItem_map" name="ActionDropItem_map">
<area href="../../d1/d91/class_action_single_use_base.html" alt="ActionSingleUseBase" shape="rect" coords="0,0,135,24"/>
<area href="../../d6/df2/class_action_drop_item_simple.html" alt="ActionDropItemSimple" shape="rect" coords="0,112,135,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a882ca329b3f3d6087cbc892c1be90317"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a882ca329b3f3d6087cbc892c1be90317">ActionDropItem</a> ()</td></tr>
<tr class="separator:a882ca329b3f3d6087cbc892c1be90317"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae845fa9c747bf37d5c7db31cd08ebaf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#aae845fa9c747bf37d5c7db31cd08ebaf">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:aae845fa9c747bf37d5c7db31cd08ebaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27155ccef1895fcf6b98e459c1ce265d"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a27155ccef1895fcf6b98e459c1ce265d">GetInputType</a> ()</td></tr>
<tr class="separator:a27155ccef1895fcf6b98e459c1ce265d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8beada0b07c468580d35186ab97149f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#ab8beada0b07c468580d35186ab97149f">HasProneException</a> ()</td></tr>
<tr class="separator:ab8beada0b07c468580d35186ab97149f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54fae1f1ed852eaa0f22d471b0b1ee9a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a54fae1f1ed852eaa0f22d471b0b1ee9a">CanBeUsedThrowing</a> ()</td></tr>
<tr class="separator:a54fae1f1ed852eaa0f22d471b0b1ee9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad777cd14fd69588dd3b9e549e209be13"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#ad777cd14fd69588dd3b9e549e209be13">HasTarget</a> ()</td></tr>
<tr class="separator:ad777cd14fd69588dd3b9e549e209be13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5e4b894d621d64eed0459ba39d4d1fc"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#af5e4b894d621d64eed0459ba39d4d1fc">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af5e4b894d621d64eed0459ba39d4d1fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14553654e7d9ab8626f2eebe413b0f14"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a14553654e7d9ab8626f2eebe413b0f14">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a14553654e7d9ab8626f2eebe413b0f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40b00cf4db028a9c4d199c4aa0e07f6b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a40b00cf4db028a9c4d199c4aa0e07f6b">OnExecuteServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a40b00cf4db028a9c4d199c4aa0e07f6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8c0f90f62d0b3833052d6fc2f21f3ed"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#aa8c0f90f62d0b3833052d6fc2f21f3ed">OnExecuteClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa8c0f90f62d0b3833052d6fc2f21f3ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f67543769b7448823005eba8098da53"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a9f67543769b7448823005eba8098da53">PhysicalDropItem</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a9f67543769b7448823005eba8098da53"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a65772b91377d0ddeb89c9f0e03c68c29"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de8/class_action_drop_item.html#a65772b91377d0ddeb89c9f0e03c68c29">m_ItemName</a> = &quot;&quot;</td></tr>
<tr class="separator:a65772b91377d0ddeb89c9f0e03c68c29"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00010">10</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a882ca329b3f3d6087cbc892c1be90317" name="a882ca329b3f3d6087cbc892c1be90317"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a882ca329b3f3d6087cbc892c1be90317">&#9670;&#160;</a></span>ActionDropItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDropItem::ActionDropItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00014">14</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a14553654e7d9ab8626f2eebe413b0f14" name="a14553654e7d9ab8626f2eebe413b0f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14553654e7d9ab8626f2eebe413b0f14">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItem::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00053">53</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="af5e4b894d621d64eed0459ba39d4d1fc" name="af5e4b894d621d64eed0459ba39d4d1fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5e4b894d621d64eed0459ba39d4d1fc">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItem::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00048">48</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="a54fae1f1ed852eaa0f22d471b0b1ee9a" name="a54fae1f1ed852eaa0f22d471b0b1ee9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54fae1f1ed852eaa0f22d471b0b1ee9a">&#9670;&#160;</a></span>CanBeUsedThrowing()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItem::CanBeUsedThrowing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00038">38</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="aae845fa9c747bf37d5c7db31cd08ebaf" name="aae845fa9c747bf37d5c7db31cd08ebaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae845fa9c747bf37d5c7db31cd08ebaf">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDropItem::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00022">22</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="a27155ccef1895fcf6b98e459c1ce265d" name="a27155ccef1895fcf6b98e459c1ce265d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27155ccef1895fcf6b98e459c1ce265d">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionDropItem::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00028">28</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="ab8beada0b07c468580d35186ab97149f" name="ab8beada0b07c468580d35186ab97149f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8beada0b07c468580d35186ab97149f">&#9670;&#160;</a></span>HasProneException()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItem::HasProneException </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00033">33</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="ad777cd14fd69588dd3b9e549e209be13" name="ad777cd14fd69588dd3b9e549e209be13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad777cd14fd69588dd3b9e549e209be13">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDropItem::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00043">43</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="aa8c0f90f62d0b3833052d6fc2f21f3ed" name="aa8c0f90f62d0b3833052d6fc2f21f3ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8c0f90f62d0b3833052d6fc2f21f3ed">&#9670;&#160;</a></span>OnExecuteClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDropItem::OnExecuteClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00079">79</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="a40b00cf4db028a9c4d199c4aa0e07f6b" name="a40b00cf4db028a9c4d199c4aa0e07f6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40b00cf4db028a9c4d199c4aa0e07f6b">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDropItem::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00065">65</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<a id="a9f67543769b7448823005eba8098da53" name="a9f67543769b7448823005eba8098da53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9f67543769b7448823005eba8098da53">&#9670;&#160;</a></span>PhysicalDropItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDropItem::PhysicalDropItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00097">97</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a65772b91377d0ddeb89c9f0e03c68c29" name="a65772b91377d0ddeb89c9f0e03c68c29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65772b91377d0ddeb89c9f0e03c68c29">&#9670;&#160;</a></span>m_ItemName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionDropItem::m_ItemName = &quot;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html#l00012">12</a> of file <a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/<a class="el" href="../../d1/da6/_action_drop_item_8c_source.html">ActionDropItem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/de8/class_action_drop_item.html">ActionDropItem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
